/*
 * Hibernate, Relational Persistence for Idiomatic Java
 *
 * License: GNU Lesser General Public License (LGPL), version 2.1 or later.
 * See the lgpl.txt file in the root directory or <http://www.gnu.org/licenses/lgpl-2.1.html>.
 */
package org.hibernate.exception.spi;

/**
 * @author Steve Ebersole
 */
public abstract class AbstractSQLExceptionConversionDelegate implements SQLExceptionConversionDelegate {
	private final ConversionContext conversionContext;

	protected AbstractSQLExceptionConversionDelegate(ConversionContext conversionContext) {
		this.conversionContext = conversionContext;
	}

	protected ConversionContext getConversionContext() {
		return conversionContext;
	}
}
